# CUpti_ActivityStream Struct Reference
[CUPTI Activity API]

The activity record for CUDA stream. More...

## Data Fields
uint32_t | contextId
uint32_t | correlationId
CUpti_ActivityStreamFlag | flag
CUpti_ActivityKind | kind
uint32_t | priority
uint32_t | streamId

## Detailed Description

This activity is used to track created streams. (CUPTI_ACTIVITY_KIND_STREAM).

## Field Documentation

uint32_t CUpti_ActivityStream::contextId

The ID of the context where the stream was created.

uint32_t CUpti_ActivityStream::correlationId

The correlation ID of the API to which this result is associated.

CUpti_ActivityStreamFlag CUpti_ActivityStream::flag

Flags associated with the stream.

CUpti_ActivityKind CUpti_ActivityStream::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_STREAM.

uint32_t CUpti_ActivityStream::priority

The clamped priority for the stream.

uint32_t CUpti_ActivityStream::streamId

A unique stream ID to identify the stream.